{ config, lib, pkgs, ... }:

let
  cfg = config.modules.editors.neovim;
  dev = config.modules.dev;
in {
  options.modules.editors.neovim = {
    enable = lib.mkOption {
      default = false;
      example = true;
    };
  };

  config = lib.mkIf cfg.enable {
    user.packages = with pkgs.unstable; [
      lunarvim
    ];

    env.EDITOR = "lvim";

    environment.shellAliases = {
      vim = "lvim";
      v   = "lvim";
    };
  };
}
